/* version.h	Define the current version number
 *
 * Copyright 1991, Michael Westerhof, Sun Microsystems, Inc.
 * This software may be freely used, distributed, or modified, providing
 * this header is not removed.
 *
 *
 * The first digit represents the major release (0 is a prototype release)
 *
 * The second represents major changes that might affect configuration
 * file formats or compilation sequences, or anything that may make
 * existing setups change.
 *
 * The last digit(s) marks simple bug fixes.
 *
 */

#define VERS "version bdale.3.3, 8 February 1994"

/*
 *  HISTORY:
 *
 *	0.0.0	Development begins (4 Dec 91)
 *
 *	0.0.1	Initial sort of functional version.  (sent to bdale@gag.com)
 *
 *	0.0.2	Move the routines to open, read, send on an interface into
 *		the interface structure.  This simplifies many loops.
 *
 *	0.0.3	Rewrite the config and route readers.  Better error handling
 *		and more flexible.
 *
 *	0.0.4	linted, added flag so that we can handle multiple slip
 *		packets in a single burst.
 *
 *	0.0.5	Make sure we can deal with the EINTR error code (so we can
 *		handle a SIGHUP).
 *
 *	0.0.6	Improved and generalized the error handling code for the
 *		drivers, and ensured all messages are preceeded by the
 *		program name (nice when running in the background!)
 *
 *	0.0.7	command line is handled better; -d and -t options separated.
 *		Support for SIGTERM and SIGINT -- print a message upon
 *		catching these.  Re-wrote the Makefile.
 *
 *	0.0.8	fixed the network mask comparison -- gotta make sure we
 *		convert the mask to network byte order!
 *
 *	0.0.9	added a very basic martian filter in hopes of catching
 *		very obvious network problems.  Added debug output while
 *		opening the interfaces.
 *
 *	0.0.10	added the statistics reporting stuff.
 *
 *	0.0.11	progname prefix on messages is optional now; use the "-np"
 *		(noprefix) flag to turn it off.
 *		There are time-stamp on certain messages now; the "-nt"
 *		(notimestamp) flag turns off timestamps on the stats lines.
 *		The stats are a single line per interface now.
 *		Moved the NO_STRTOUL ugliness to the ipip.h file.  The default
 *		is to try for strtoul unless the symbol "sun" is defined.
 *		Fixed zero-length packets from the slip interface problem.
 *
 *	0.0.12	added an fflush(stdout) to the run loop.  Nice to be able
 *		to see what trace is putting out!
 *
 *	0.0.12.bdale.0
 *		disabled the code that prevents packets from going back out
 *		the same interface.  need to use same interface to bounce
 *		frames to/from other HP closed subnet hosts using my open
 *		subnet machine as a router...  this if BDALE defined.
 *
 *	0.0.12.bdale.1
 *		remove a reference to malloc.h in slip.c when compiled under
 *		BSDI's BSD/386
 *
 *	0.0.12.bdale.2
 *		fixed a bunch of BSDI'isms... including modem control on a 
 *		serial port during open.  At this point, it routes on the IP
 *		side just fine, but the slip link still doesn't quite work...
 *
 *	0.0.12.bdale.3
 *		working on switching to use of syslog() for error/warning
 *		outputs.  shorten the version string to just be my suffix.
 *
 *	0.0.12.bdale.3.2
 *		seems to work fine now on BSDI BSD/386.  a couple of tweaks
 *		to fix crashes lead to the '.2'
 *
 *	0.0.12.bdale.3.3
 *		ugly hack to turn off connectivity to all but net-44 if
 *		AMPRONLY is defined.
 *
 */
